"""
Package `structure` contains classes to represent structural data in computational biology.

Structural Representations:

- `Protein` class in `protein`: Represents structural data of a protein.
- `Chain` class in `chain`: Represents structural data of a chain.
- `Residue` class in `residue`: Represents structural data of a residue.
- `Atom` class in `atom`: Represents structural data of an atom.

"""

from .protein import Protein
from .chain import Chain
from .residue import Residue
from .atom import Atom
